package com.eactive.eai.rms.onl.manage.rule.cm;

import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

/**
 * The Class CMCancelDao.
 * <ul>
 * <li>1. Function :</li>
 * <li>2. Summary :</li>
 * <li>3. Notification :</li>
 * </ul>
 */
@Repository("cMCancelDao")
@SuppressWarnings("unchecked")
public class CmCancelDao extends SqlMapClientTemplateDao {
	
    public void insertTR07(HashMap paramMap) throws Exception{
        this.template.insert("CMCancel.insertTR07", paramMap);
    }      
    
    public void deleteTR07(HashMap paramMap) throws Exception{
        this.template.delete("CMCancel.deleteTR07", paramMap);
    }	
	
    public void insertTR08(HashMap<String,Object> param) {
        this.template.insert("CMCancel.insertTR08", param);
    }

    public void deleteTR08(HashMap<String,Object> param) {
        this.template.delete("CMCancel.deleteTR08", param);
    }
    public void insertTR01(HashMap<String,Object> param) {
        this.template.insert("CMCancel.insertTR01", param);
    }

    public void deleteTR01(HashMap<String,Object> param) {
        this.template.delete("CMCancel.deleteTR01", param);
    }
    
    public void insertTR02(HashMap<String,Object> param) {
        this.template.insert("CMCancel.insertTR02", param);
    }

    public void deleteTR02(HashMap<String,Object> param) {
        this.template.delete("CMCancel.deleteTR02", param);
    }
    
    public void insertTR03(HashMap<String,Object> param) {
        this.template.insert("CMCancel.insertTR03", param);
    }

    public void deleteTR03(HashMap<String,Object> param) {
        this.template.delete("CMCancel.deleteTR03", param);
    }

    public List<HashMap> selectLayout(HashMap params) {
    	return template.queryForList("CMCancel.selectLayout", params);
    }
    
    public List<HashMap> selectEaiSvcName(HashMap params) {
    	return template.queryForList("CMCancel.selectEaiSvcName", params);
    }
    
    public List<HashMap> selectTrasnForm(HashMap params) {
    	return template.queryForList("CMCancel.selectTrasnForm", params);
    }
    
    public HashMap selectEaiSvcNameForTranCd(HashMap params) {
    	return (HashMap) template.queryForObject("CMCancel.selectEaiSvcNameForTranCd", params);
    }

    public void updateHE02(HashMap<String,Object> param) {
        this.template.update("CMCancel.updateHE02", param);
    }
}
